Subject: Re: bug#15260: cannot build in a directory with non-ascii characters

From: Eli Zaretskii <[email-masked]>
Date: Fri, 25 Oct 2013 22:27:19 +0300

> Date: Fri, 25 Oct 2013 21:46:52 +0300
> From: Eli Zaretskii <[email-masked]>
> Cc: [email-masked]
> 
> > but there are still
> > problems later on, again related to Emacs mistakenly believing that
> > certain directories do not exist, when they do (Warning: arch-dependent
> > data dir `...' No such file or directory; etc).
> > 
> > The "non-ascii srcdir == builddir" case fails even earlier, due to not
> > finding etc.
> 
> OK, I will take a closer look.  Thanks for the info.

I think I see the problem.  All those PATH_* variables that come from
epaths.h yield encoded file names (because they were written by the
shell).  But we never decode them before using them in init_callproc
and init_callproc_1.  Similar things happen with decode_env_path: it
calls 'getenv', but never decodes the values it gets from that.

I will take a crack on fixing these.